Package tigase.xmpp.impl

## Class PresenceCapabilitiesManager

- java.lang.Object
- - tigase.xmpp.impl.PresenceCapabilitiesManager

-     public class PresenceCapabilitiesManager
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static interface` | `PresenceCapabilitiesManager.PresenceCapabilitiesListener` |

  - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `CAPS_NODE` |
    `static java.lang.String` | `charsetName` |
    `static java.lang.String` | `HASH_ALGORITHM` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `PresenceCapabilitiesManager()` |

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static java.lang.String` | `generateVerificationString​(java.lang.String[] identities, java.lang.String[] features)` |
    `static java.lang.String` | `generateVerificationString​(java.lang.String[] identities, java.lang.String[] features, Element extensions)` |
    `static java.lang.String` | `generateVerificationStringFromDiscoInfo​(Element discoInfo)` |
    `static Element` | `getCapsElement​(java.lang.String caps)` |
    `static java.lang.String[]` | `getFeaturesFromDiscoInfo​(Element discoInfo)` |
    `static java.lang.String[]` | `getNodeFeatures​(java.lang.String capsNode)` |
    `static java.util.Set<java.lang.String>` | `getNodesWithFeature​(java.lang.String feature)` |
    `static void` | `handlePresence​(JID owner, JID from, java.lang.String[] capsNodes, java.util.Queue<Packet> results)` |
    `static void` | `prepareCapsQueries​(JID compJid, JID to, java.lang.String[] caps_nodes, java.util.Queue<Packet> results)` |
    `static void` | `prepareCapsQueriesEl​(JID compJid, JID to, java.lang.String[] caps_nodes, java.util.Queue<Element> results)` |
    `static Packet` | `prepareCapsQuery​(JID to, JID from, java.lang.String node)` |
    `static Element` | `prepareCapsQueryEl​(JID to, JID from, java.lang.String node)` |
    `static void` | `processCapsQueryResponse​(Packet packet)` |
    `static java.lang.String[]` | `processPresence​(Element c)` |
    `static java.lang.String[]` | `processPresence​(JID compJid, Packet p, java.util.Queue<Packet> results)` |
    `static void` | `registerPresenceHandler​(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)` |
    `static void` | `setNodeFeatures​(java.lang.String capsNode, java.lang.String[] features)` |
    `static void` | `unregisterPresenceHandler​(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CAPS_NODE

          public static final java.lang.String CAPS_NODE

      See Also:
        Constant Field Values

    - #### HASH_ALGORITHM

          public static final java.lang.String HASH_ALGORITHM

      See Also:
        Constant Field Values

    - #### charsetName

          public static final java.lang.String charsetName

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### PresenceCapabilitiesManager

          public PresenceCapabilitiesManager()

  - ### Method Detail

    - #### generateVerificationString

          public static java.lang.String generateVerificationString​(java.lang.String[] identities,
                                                                    java.lang.String[] features)

    - #### generateVerificationString

          public static java.lang.String generateVerificationString​(java.lang.String[] identities,
                                                                    java.lang.String[] features,
                                                                    Element extensions)

    - #### generateVerificationStringFromDiscoInfo

          public static java.lang.String generateVerificationStringFromDiscoInfo​(Element discoInfo)

    - #### getCapsElement

          public static Element getCapsElement​(java.lang.String caps)

    - #### getFeaturesFromDiscoInfo

          public static java.lang.String[] getFeaturesFromDiscoInfo​(Element discoInfo)

    - #### getNodeFeatures

          public static java.lang.String[] getNodeFeatures​(java.lang.String capsNode)

    - #### getNodesWithFeature

          public static java.util.Set<java.lang.String> getNodesWithFeature​(java.lang.String feature)

    - #### handlePresence

          public static void handlePresence​(JID owner,
                                            JID from,
                                            java.lang.String[] capsNodes,
                                            java.util.Queue<Packet> results)

    - #### prepareCapsQueries

          public static void prepareCapsQueries​(JID compJid,
                                                JID to,
                                                java.lang.String[] caps_nodes,
                                                java.util.Queue<Packet> results)

    - #### prepareCapsQueriesEl

          public static void prepareCapsQueriesEl​(JID compJid,
                                                  JID to,
                                                  java.lang.String[] caps_nodes,
                                                  java.util.Queue<Element> results)

    - #### prepareCapsQuery

          public static Packet prepareCapsQuery​(JID to,
                                                JID from,
                                                java.lang.String node)

    - #### prepareCapsQueryEl

          public static Element prepareCapsQueryEl​(JID to,
                                                   JID from,
                                                   java.lang.String node)

    - #### processCapsQueryResponse

          public static void processCapsQueryResponse​(Packet packet)

    - #### processPresence

          public static java.lang.String[] processPresence​(Element c)

    - #### processPresence

          public static java.lang.String[] processPresence​(JID compJid,
                                                           Packet p,
                                                           java.util.Queue<Packet> results)

    - #### registerPresenceHandler

          public static void registerPresenceHandler​(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)

    - #### setNodeFeatures

          public static void setNodeFeatures​(java.lang.String capsNode,
                                             java.lang.String[] features)

    - #### unregisterPresenceHandler

          public static void unregisterPresenceHandler​(PresenceCapabilitiesManager.PresenceCapabilitiesListener handler)